curl https://api.artificialstudio.ai/api/tools/create-image \
-H "Authorization: YOUR_API_KEY"
const response = await fetch(
'https://api.artificialstudio.ai/api/tools/create-image',
{ headers: { 'Authorization': 'YOUR_API_KEY' } }
);
const tool = await response.json();
import requests
response = requests.get(
'https://api.artificialstudio.ai/api/tools/create-image',
headers={'Authorization': 'YOUR_API_KEY'}
)
tool = response.json()
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://...",
"models": [
{
"slug": "nano-banana",
"name": "Nano Banana"
},
{
"slug": "flux-2-flex",
"name": "FLUX 2 Flex"
}
]
}
{
"message": "Invalid or missing API key"
}
{
"message": "Tool not found"
}
{
"message": "Too many API requests, please try again later"
}
API Reference
Get Tool Details
Get information about a specific AI tool, including its available models and parameters.
GET
/
api
/
tools
/
{slug}
curl https://api.artificialstudio.ai/api/tools/create-image \
-H "Authorization: YOUR_API_KEY"
const response = await fetch(
'https://api.artificialstudio.ai/api/tools/create-image',
{ headers: { 'Authorization': 'YOUR_API_KEY' } }
);
const tool = await response.json();
import requests
response = requests.get(
'https://api.artificialstudio.ai/api/tools/create-image',
headers={'Authorization': 'YOUR_API_KEY'}
)
tool = response.json()
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://...",
"models": [
{
"slug": "nano-banana",
"name": "Nano Banana"
},
{
"slug": "flux-2-flex",
"name": "FLUX 2 Flex"
}
]
}
{
"message": "Invalid or missing API key"
}
{
"message": "Tool not found"
}
{
"message": "Too many API requests, please try again later"
}
Get information about a tool, including its available models.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
slug | string | The tool identifier |
Response Fields
| Field | Type | Description |
|---|---|---|
slug | string | Tool identifier |
name | string | Display name |
description | string | Tool description |
type | string | Tool category |
outputType | string | Output media type |
thumbnail | string | Tool thumbnail URL |
models | array | Available models |
models[].slug | string | Model identifier (use in input.model) |
models[].name | string | Model display name |
curl https://api.artificialstudio.ai/api/tools/create-image \
-H "Authorization: YOUR_API_KEY"
const response = await fetch(
'https://api.artificialstudio.ai/api/tools/create-image',
{ headers: { 'Authorization': 'YOUR_API_KEY' } }
);
const tool = await response.json();
import requests
response = requests.get(
'https://api.artificialstudio.ai/api/tools/create-image',
headers={'Authorization': 'YOUR_API_KEY'}
)
tool = response.json()
{
"slug": "create-image",
"name": "Create Image",
"description": "Generate images from text prompts",
"type": "image",
"outputType": "image",
"thumbnail": "https://...",
"models": [
{
"slug": "nano-banana",
"name": "Nano Banana"
},
{
"slug": "flux-2-flex",
"name": "FLUX 2 Flex"
}
]
}
{
"message": "Invalid or missing API key"
}
{
"message": "Tool not found"
}
{
"message": "Too many API requests, please try again later"
}
⌘I